Bug 1294300 - Dual monitor setup fails for second device (DVI-I-2) , that worked with a nvidia driver before
Dual monitor setup fails for second device (DVI-I-2) , that worked with a nvi...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 12:18 EST by Christian Groove
Modified: 2016-12-20 12:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:24:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Groove 2015-12-26 12:18:44 EST
Description of problem:

Enabling the second dvi attached monitor in
the KDE or Gnome config/setting tools (section 
display and monitor) identifies correctly both 
monitors:

1) ASUS PB278 (DVI-I-1 works)
2) Goldstar Company Ltd 22EA63 (DVI-I-2 try to get it working)

Then, i arranged the new monitor and expect, that 
something happens. Well the X11 session expands the
screen virtually, but the monitor device tells me,
that there is no DVI signal. 

Both devices are connected via DVI and the graphic
card 

   06:00.0 VGA compatible controller [0300]: NVIDIA Corporation G96 [GeForce 9500 GT] [10de:0640] (rev a1) (prog-if 00 [VGA controller]) 

has 2 DVI ports. Using Fedora F21 and Nvidia driver loaded
via RPMFusion i did not have any problem using both monitors.
There was no change with my cable, so it should work.

I also tried to address the LG monitor using a 
Acer Aspire V3-771 notebook connected by HDMI
(also using a fresh Fedora F23 installation and
.. it worked. So i believe, it is a nouveau
issue.


Version-Release number of selected component (if applicable):
xorg-x11-drv-openchrome-0.3.3-17.fc23.x86_64
xorg-x11-server-common-1.18.0-2.fc23.x86_64
xorg-x11-drv-synaptics-1.8.3-1.fc23.x86_64
xorg-x11-xkb-utils-7.7-16.fc23.x86_64
xorg-x11-drv-libinput-0.14.0-2.fc23.x86_64
xorg-x11-drv-wacom-0.30.0-3.fc23.x86_64
xorg-x11-fonts-misc-7.5-15.fc23.noarch
xorg-x11-drv-vmmouse-13.1.0-2.fc23.x86_64
xorg-x11-drv-vesa-2.3.2-23.fc23.x86_64
xorg-x11-drv-vmware-13.0.2-10.20150211git8f0cf7c.fc23.x86_64
xorg-x11-xinit-1.3.4-10.fc23.x86_64
xorg-x11-server-Xwayland-1.18.0-2.fc23.x86_64
xorg-x11-utils-7.5-20.fc23.x86_64
xorg-x11-drv-evdev-2.9.99-2.20150807git66c997886.fc23.x86_64
xorg-x11-fonts-Type1-7.5-15.fc23.noarch
xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64
xorg-x11-drv-qxl-0.1.4-6.fc23.x86_64
abrt-addon-xorg-2.7.1-1.fc23.x86_64
xorg-x11-server-Xorg-1.18.0-2.fc23.x86_64
xorg-x11-server-utils-7.7-17.fc23.x86_64
xorg-x11-drv-fbdev-0.4.3-23.fc23.x86_64
xorg-x11-xbitmaps-1.1.1-8.fc23.noarch
xorg-x11-xauth-1.0.9-4.fc23.x86_64
xorg-x11-apps-7.7-14.fc23.x86_64
xorg-x11-font-utils-7.5-29.fc23.x86_64
xorg-x11-drv-ati-7.6.0-0.4.20150729git5510cd6.fc23.x86_64
xorg-x11-drv-nouveau-1.0.12-1.fc23.x86_64


How reproducible:
Simply go to the systemconfiguration tool (regardless gnome or kde)
and try to enable the dvi-i-2 connected second monitor. It will
fail permanently.

Steps to Reproduce:
1. call system-setting in KDE or gnome and configure your second monitor.
2. tell your monitor (mine is a LG) to search for DVI input and you get "no signal".
3. hope that nvidia will be released ;-) 

Actual results:
second monitor is a dark matter ;-)

Expected results:
an expanded screen

Additional info:
contact me, so i can send you additional information
see also: https://bugzilla.redhat.com/show_bug.cgi?id=692035
Comment 1 Christian Groove 2015-12-26 12:31:20 EST
Gnome/Wayland behaves the same way, it shows 
both displays correctly, but the monitor says
"no signal".

$ xrandr 
Screen 0: minimum 320 x 200, current 4480 x 1440, maximum 8192 x 8192
XWAYLAND0 connected 2560x1440+0+0 600mm x 340mm
   2560x1440@0.1Hz   0.05*+
XWAYLAND1 connected 1920x1080+2560+360 480mm x 270mm
   1920x1080@0.1Hz   0.00*+

Strange ...
Comment 2 Fedora End Of Life 2016-11-24 09:31:51 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:24:08 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.